;; -*- emacs-lisp -*-
;;
;; Emacs startup file for the Debian prolog-el package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>
;; Modified by Philipp Benner <philipp@debian.org>

;; The prolog-el package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path.
;; We also add the source directory so that C-h f can find it.
(let ((package-dir (concat "/usr/share/"
			   (symbol-name debian-emacs-flavor)
			   "/site-lisp/prolog-el")))
  (when (file-directory-p package-dir)
    (add-to-list 'load-path package-dir)
    (autoload 'run-prolog "prolog" "Start a Prolog sub-process." t)
    (autoload 'prolog-mode "prolog" "Major mode for editing Prolog programs." t)
    (autoload 'mercury-mode "prolog" "Major mode for editing Mercury programs." t)
    (add-to-list 'auto-mode-alist '("\\.m\\'" . mercury-mode))))

;; Local Variables:
;; auto-recompile: nil
;; End:
